#include <termios.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <fcntl.h>
#include <signal.h>

#define BAUDRATE B9600
#define DEVICE "/dev/radio"

#define ON    "\x1d\x23\x01\x23"
#define ONSIZE (strlen(ON))
#define OFF       "\x1d\x23\x02\x23"
#define OFFSIZE (strlen(OFF))
#define FMTUNE      "\x1d\x23\x05\x23"
#define FMTUNESIZE (strlen(FMTUNE))
#define AMTUNE      "\x1d\x23\x09\x23"
#define AMTUNESIZE (strlen(AMTUNE))
#define FM      0
#define AM      1

int openradio(void);
void clearrts(int);
void setrts(int);
void cleardtr(int);
void setdtr(int);
int radioinit(void);
void radioon(int);
void radiooff(int);
void radioclose(int);
void radiotune(int, char *, int);
int openmixer(void);
void setvolume(int, int);
int getvolume(int);
void closemixer(int);
