/* radio control routines for pcfm - Linux command line
   interface for Gemtek PCFM radio, all the following code
   as well as that in serialcontrol.c & mixerstuff.c is by
   Chris Radek. The pcfm.c code was based on pcradio.c by
   Chris Radek, but heavily modified by Stew Benedict
   (benedict@netcom.com) see pcfm.c for GNU copyleft statement */

#include "pcfm.h"

int radioinit(void) {
  int fd;
  fd = openradio();
#ifdef DEBUG
  fprintf(stderr,"openradio() returns %d\n",fd);
  fprintf(stderr,"setting rts bit\n");
#endif
  setrts(fd);
#ifdef DEBUG
  fprintf(stderr,"setting dtr bit\n");
#endif
  setdtr(fd);
  return(fd);
}

void radioon(int fd) {
#ifdef DEBUG
  fprintf(stderr,"Writing ON\n");
#endif
  setrts(fd);
  setdtr(fd);
  write(fd, ON, ONSIZE);
}

void radiooff(int fd) {
#ifdef DEBUG
  fprintf(stderr,"Writing OFF\n");
#endif
  write(fd, OFF, OFFSIZE);
}

void radioclose(int fd) {
#ifdef DEBUG
  fprintf(stderr,"closing fd %d\n", fd);
#endif
  close(fd);
}

void radiotune(int fd, char *channel, int band) {
  int slen = strlen(channel);
#ifdef DEBUG
  if (slen != 3) 
    fprintf(stderr,"tuning to bogus channel \"%s\"!!\n", channel);
  fprintf(stderr,"tuning to channel \"%s\" using fd %d\n", channel, fd);
#endif
  if (band == AM) {
      write(fd, AMTUNE, AMTUNESIZE);
  } else {
      write(fd, FMTUNE, FMTUNESIZE);
  }
  write(fd, channel, slen);
}
